# $Id: sylpheed-claws.spec,v 1.10 2002/09/23 11:55:58 dude Exp $

Summary: DEVELOPMENT branch of the sylpheed GTK+ e-mail client.
Name: sylpheed-claws
Version: 0.8.3claws
Release: fr2
License: GPL
Group: Applications/Internet
Source: http://prdownloads.sourceforge.net/sylpheed-claws/sylpheed-%{version}.tar.bz2
URL: http://sylpheed-claws.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.6, gdk-pixbuf >= 0.8.0, imlib >= 1.9.8
%{!?_without_ssl:Requires: openssl >= 0.9.6}
%{!?_without_gpgme:Requires: gpgme >= 0.2.3}
%{!?_without_aspell:Requires: aspell >= 0.50}
%{!?_without_ldap:Requires: openldap}
%{?_with_pilot:Requires: pilot-link}
BuildRequires: gtk+-devel >= 1.2.6, gdk-pixbuf-devel >= 0.8.0
BuildRequires: imlib-devel >= 1.9.8
%{!?_without_ssl:BuildRequires: openssl-devel >= 0.9.6}
%{!?_without_gpgme:BuildRequires: gpgme-devel >= 0.2.3}
%{!?_without_aspell:BuildRequires: aspell-devel >= 0.50}
%{!?_without_ldap:BuildRequires: openldap-devel}
%{?_with_pilot:BuildRequires: pilot-link-devel}
Conflicts: sylpheed
Obsoletes: sylpheed

%description
Sylpheed is an e-mail client (and news reader) based on GTK+, running on
X Window System, and aiming for quick responses, a graceful and
sophisticated interface, easy configuration, intuitive operation and
abundant features.
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

This is the BLEEDING EDGE, DEVELOPMENT branch of sylpheed!
You have been warned ;-)

Available rpmbuild rebuild options :
--with : pilot
--without : ssl, ipv6, gpgme, aspell, ldap

%prep
%setup -q -n sylpheed-%{version}

%build
%configure --program-prefix=%{?_program_prefix:%{_program_prefix}} \
	--with-imlib \
	--with-gdk-pixbuf \
	%{!?_without_ssl: --enable-ssl} \
	%{!?_without_ipv6: --enable-ipv6} \
	%{!?_without_gpgme: --enable-gpgme} \
	%{!?_without_aspell: --enable-aspell} \
	%{!?_without_ldap: --enable-ldap} \
	%{?_with_pilot:	--enable-jpilot}
make %{?_smp_mflags:%{_smp_mflags}}

%install
rm -rf %{buildroot}
%makeinstall gnomedir=%{buildroot}%{_prefix}
%find_lang sylpheed

%clean
rm -rf %{buildroot}

%files -f sylpheed.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* README* INSTALL* TODO* doc-src
%{_bindir}/sylpheed
%{_datadir}/gnome/apps/Internet/sylpheed.desktop
%{_datadir}/pixmaps/sylpheed.png
%{_datadir}/sylpheed
%{_mandir}/man1/sylpheed.1*

%changelog
* Mon Sep 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.3claws.
- Added many "--without" options.
- Changed pspell to aspell, and disabled for now since >= 0.50 is needed.

* Tue Sep 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added "--with pilot" support to the rpm build.

* Wed Aug 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.2claws.

* Wed Jul 31 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.1claws.
- Added man page and the program-prefix to fix its name.

* Wed Jul 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.0claws.

* Mon Jun 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.8claws.
- Use %%find_lang.

* Mon May 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.6claws.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Sun Apr 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.5claws.

* Mon Apr 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.4claws97.

* Tue Apr 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.4claws81.

* Tue Mar 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.4claws23.

* Thu Mar 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.4claws7.

* Sat Feb 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.1claws7.

* Mon Feb 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.0claws57.

* Wed Jan 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.0claws5.
- Changed the package name to "sylpheed-claws" to avoid having the same
  name as the main branch, and thus solve problems with apt-get.

* Mon Jan 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.0claws.

* Tue Jan  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.6claws34.

* Mon Dec 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.6claws.

* Fri Nov 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5claws46.

* Tue Nov 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5claws8.

* Mon Nov 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5claws7.
- Added LDAP support.

* Wed Nov  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Got a bit impatient and updated to 0.6.5claws1 CVS version.

* Wed Oct 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.3claws.
- Addedd pspell support, libs are recent enough on Red Hat 7.2.

* Mon Oct  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.2claws.
- Added a quick build fix for the zh_TW.Big5 problem.
- Didn't add pspell support since version >= .12.2 is required and
  seawolf has only .11.2.

* Thu Sep 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Start of the claws branch, I want to have fun too :-)

* Sun Sep  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.1.

* Thu Aug 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0.

* Tue Aug 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.3.

* Wed Aug  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.2.

* Thu Jul  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1 (previous 0.5preX wouldn't build).

* Tue Jun 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.99.

* Tue May  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.66.

* Tue May  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.65.

* Tue Apr 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.64.

* Tue Apr 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.63.

* Sat Feb  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.62.

* Sat Feb  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- General spec rewrite and rpm built for RedHat 7.0

* Sat Feb 3 2001 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.4.61

* Sat Jan 1 2000 Yoichi Imai <yoichi@silver-forest.com>
- first release for version 0.1.0

